/**
 * 法人
 *
 * @export
 * @interface HRLegal
 */
export interface HRLegal {

    /**
     * 法人名称
     *
     * @returns {*}
     * @memberof HRLegal
     */
    legalname?: any;

    /**
     * 建立人
     *
     * @returns {*}
     * @memberof HRLegal
     */
    createman?: any;

    /**
     * 更新人
     *
     * @returns {*}
     * @memberof HRLegal
     */
    updateman?: any;

    /**
     * 法人标识
     *
     * @returns {*}
     * @memberof HRLegal
     */
    legalid?: any;

    /**
     * 建立时间
     *
     * @returns {*}
     * @memberof HRLegal
     */
    createdate?: any;

    /**
     * 更新时间
     *
     * @returns {*}
     * @memberof HRLegal
     */
    updatedate?: any;

    /**
     * 组织类型
     *
     * @returns {*}
     * @memberof HRLegal
     */
    organizationtype?: any;

    /**
     * 组织层级
     *
     * @returns {*}
     * @memberof HRLegal
     */
    orglevel?: any;

    /**
     * 运营单位类型
     *
     * @returns {*}
     * @memberof HRLegal
     */
    operationunittype?: any;

    /**
     * 排序号
     *
     * @returns {*}
     * @memberof HRLegal
     */
    showorder?: any;

    /**
     * 组织编码
     *
     * @returns {*}
     * @memberof HRLegal
     */
    orgcode?: any;

    /**
     * 备注
     *
     * @returns {*}
     * @memberof HRLegal
     */
    memo?: any;

    /**
     * 组织简称
     *
     * @returns {*}
     * @memberof HRLegal
     */
    shortname?: any;

    /**
     * 统一社会信用代码
     *
     * @returns {*}
     * @memberof HRLegal
     */
    uscc?: any;

    /**
     * 开户行
     *
     * @returns {*}
     * @memberof HRLegal
     */
    bank?: any;

    /**
     * 银行账号
     *
     * @returns {*}
     * @memberof HRLegal
     */
    bankaccount?: any;
}