/**
 * 组织层次结构
 *
 * @export
 * @interface HROMHierarchy
 */
export interface HROMHierarchy {

    /**
     * 建立时间
     *
     * @returns {*}
     * @memberof HROMHierarchy
     */
    createdate?: any;

    /**
     * 组织层次结构标识
     *
     * @returns {*}
     * @memberof HROMHierarchy
     */
    omhierarchyid?: any;

    /**
     * 组织层次结构名称
     *
     * @returns {*}
     * @memberof HROMHierarchy
     */
    omhierarchyname?: any;

    /**
     * 更新时间
     *
     * @returns {*}
     * @memberof HROMHierarchy
     */
    updatedate?: any;

    /**
     * 更新人
     *
     * @returns {*}
     * @memberof HROMHierarchy
     */
    updateman?: any;

    /**
     * 建立人
     *
     * @returns {*}
     * @memberof HROMHierarchy
     */
    createman?: any;

    /**
     * 组织
     *
     * @returns {*}
     * @memberof HROMHierarchy
     */
    organizationid?: any;

    /**
     * 上次层次结构标识
     *
     * @returns {*}
     * @memberof HROMHierarchy
     */
    pomhierarchyid?: any;

    /**
     * 结构层次类别标识
     *
     * @returns {*}
     * @memberof HROMHierarchy
     */
    hromhierarchycatid?: any;

    /**
     * 上级组织
     *
     * @returns {*}
     * @memberof HROMHierarchy
     */
    pomhierarchyname?: any;

    /**
     * 组织名称
     *
     * @returns {*}
     * @memberof HROMHierarchy
     */
    organizationname?: any;

    /**
     * 排序号
     *
     * @returns {*}
     * @memberof HROMHierarchy
     */
    showorder?: any;
}